# MinChat Documentation

## MinChat Documentation

- [Introduction](https://docs.minchat.io/introduction.md): Welcome to the MinChat SDK docs! They should help you get up and running with MinChat quickly.
- [Using Vanilla Javascript](https://docs.minchat.io/getting-started/using-vanilla-javascript.md)
- [Using React](https://docs.minchat.io/getting-started/using-react.md)
- [Using React Native](https://docs.minchat.io/getting-started/using-react-native.md)
- [Overview](https://docs.minchat.io/webhooks/overview.md)
- [Overview](https://docs.minchat.io/rest-apis/overview.md)
- [Overview](https://docs.minchat.io/websockets/overview.md)
- [Customizing React UI](https://docs.minchat.io/customize-ui/customizing-react-ui.md): Swap out MinChat React UI comnponents with your own.
- [User](https://docs.minchat.io/reference/user.md)
- [Message](https://docs.minchat.io/reference/message.md)
- [File](https://docs.minchat.io/reference/file.md)
- [Javascript SDK](https://docs.minchat.io/javascript-sdk.md)
- [Overview](https://docs.minchat.io/javascript-sdk/overview.md)
- [Conversation (Chat)](https://docs.minchat.io/javascript-sdk/conversation-chat.md)
- [React SDK](https://docs.minchat.io/react-sdk.md)
- [Overview](https://docs.minchat.io/react-sdk/overview.md)
- [useChats hook](https://docs.minchat.io/react-sdk/usechats-hook.md)
- [useMessages hook](https://docs.minchat.io/react-sdk/usemessages-hook.md)
- [useUser hook](https://docs.minchat.io/react-sdk/useuser-hook.md)
- [useMinChat](https://docs.minchat.io/react-sdk/useminchat.md)
- [Conversation (Chat)](https://docs.minchat.io/react-sdk/conversation-chat.md)
- [React Native SDK](https://docs.minchat.io/react-native-sdk.md)
- [Overview](https://docs.minchat.io/react-native-sdk/overview.md)
- [useChats hook](https://docs.minchat.io/react-native-sdk/usechats-hook.md)
- [useMessages hook](https://docs.minchat.io/react-native-sdk/usemessages-hook.md)
- [useUser hook](https://docs.minchat.io/react-native-sdk/useuser-hook.md)
- [useMinChat](https://docs.minchat.io/react-native-sdk/useminchat.md)
- [Conversation (Chat)](https://docs.minchat.io/react-native-sdk/conversation-chat.md)
- [File](https://docs.minchat.io/react-native-sdk/file.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information, you can query the documentation dynamically by asking a question.
Perform an HTTP GET request on a page URL with the `ask` query parameter:
```
GET https://docs.minchat.io/introduction.md?ask=<question>
```
The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.
Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
